<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type Account
 * An account object containing login, type and comment. The password is for security reasons not part of the object. */
final class AccountType implements AutoGenerationInterface, IAccountInterface
{
    /**
     * The AceBIT Password Depot account.
     */
    public ?AceBITPasswordDepotSecretType $acebitPasswordDepotServerAccount = null;
    /**
     * The account's comment string.
     */
    public ?string $comment = null;
    /**
     * The cyberark account.
     */
    public ?CyberarkAccountType $cyberarkAccount = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The account's laps flag.
     */
    public ?bool $isLaps = null;
    /**
     * The manage engine PMP account.
     */
    public ?ManageEnginePMPAccountType $manageEnginePMPAccount = null;
    /**
     * The passwordstate account.
     */
    public ?PasswordstateAccountType $passwordstateAccount = null;
    /**
     * The thycotic account.
     */
    public ?ThycoticSecretServerAccountType $thycoticSecretServerAccount = null;
    /**
     * The account's username.
     */
    public ?AccountTypeEnum $type = null;
    /**
     * The account's username.
     */
    public ?string $username = null;
    /**
     * The account's password no change constant.
     */
    public ?string $password = null;
    /**
     * The account's reference.
     */
    public ?string $reference = null;
}