<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type Administration
 * Queries for administration purposes */
final class AdministrationType implements AutoGenerationInterface
{
    /**
     * Queries for database management.

Required permissions: Admin
     */
    public ?DatabaseManagementType $databaseManagement = null;
    /**
     * Returns download information

Required permissions: ViewData
     */
    public ?DownloadsType $downloads = null;
    /**
     * Queries for email management

Required permissions: ViewData
     */
    public ?EmailManagementType $emailManagement = null;
    /**
     * Queries for registered integrations (like CMDB, software license management tools etc.).

Required permissions: ManageIntegrations
     */
    public ?IntegrationType $integrations = null;
    /**
     * Queries for registered integrations (like CMDB, software license management tools etc.).
     */
    public ?ProductInfoType $productInfo = null;
    /**
     * Queries for users management.

Required permissions: Admin
     */
    public ?UsersManagementType $usersManagement = null;
    /**
     * Parses a certificate byte stream and returns the certificate info (if there is some).

Required permissions: ViewData, Admin
     */
    public ?CertificateResultType $parseWebServerCertificate = null;
    /**
     * Gets the current certificate information used for the WEB server.

Required permissions: ViewData, Admin
     */
    public ?CertificateX509Type $webServerCertificate = null;
}