<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type CyberarkAccount
 * The Cyberark secret server account entity. */
final class CyberarkAccountType implements AutoGenerationInterface, IAccountInterface
{
    /**
     * The cyberark account id.
     */
    public ?string $accountId = null;
    /**
     * The cyberark account address.
     */
    public ?string $address = null;
    /**
     * The automatic management enabled flag.
     */
    public ?bool $automaticManagementEnabled = null;
    /**
     * The account comment.
     */
    public ?string $comment = null;
    /**
     * The cyberark secret server that this secret belongs to.
     */
    public ?CyberarkServerDataType $cyberarkServer = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The cyberark object name for this account.
     */
    public ?string $objectName = null;
    /**
     * The account cyberark platform id.
     */
    public ?string $platformId = null;
    /**
     * The cyberark safe name for this account.
     */
    public ?string $safeName = null;
    /**
     * The account cyberark secret type.
     */
    public ?string $secretType = null;
    /**
     * The account type.
     */
    public ?AccountTypeEnum $type = null;
    /**
     * The cyberark account username.
     */
    public ?string $userName = null;
    /**
     * The account label
     */
    public ?string $label = null;
    /**
     * The account unique reference
     */
    public ?string $reference = null;
}