<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type DeviceDiscoveryProtocolStatus
 * The device discovery protocol status for all protocols */
final class DeviceDiscoveryProtocolStatusType implements AutoGenerationInterface
{
    /**
     * id of the device which this support entitlement belongs to
     */
    public ?DeviceType $device = null;
    /**
     * The DNS protocol status
     */
    public ?DiscoveryProtocolStatusEnumEnum $dnsStatus = null;
    /**
     * The HTTP status
     */
    public ?DiscoveryProtocolStatusEnumEnum $httpStatus = null;
    /**
     * The HTTPS identifier
     */
    public ?string $httpsIdentifier = null;
    /**
     * The HTTPS status
     */
    public ?DiscoveryProtocolStatusEnumEnum $httpsStatus = null;
    /**
     * The internal id of this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The mDNS status
     */
    public ?DiscoveryProtocolStatusEnumEnum $mdnsStatus = null;
    /**
     * The NetBIOS (without authentication) connection status
     */
    public ?DiscoveryProtocolStatusEnumEnum $netBIOSAnonymousStatus = null;
    /**
     * The oVirt API status
     */
    public ?DiscoveryProtocolStatusEnumEnum $oVirtStatus = null;
    /**
     * The remote login (root/admin account) connection status
     */
    public ?DiscoveryProtocolStatusEnumEnum $remoteLoginAdminStatus = null;
    /**
     * The remote login (root/admin account) connection COM error (if there is one)
     */
    public $remoteLoginAdmincomError = null;
    /**
     * The remote login (non root account) connection status
     */
    public ?DiscoveryProtocolStatusEnumEnum $remoteLoginStatus = null;
    /**
     * The remote login (non root account) connection COM error (if there is one)
     */
    public $remoteLogincomError = null;
    /**
     * The S7 status
     */
    public ?DiscoveryProtocolStatusEnumEnum $s7Status = null;
    /**
     * The SMB anonymous status
     */
    public ?DiscoveryProtocolStatusEnumEnum $smbAnonymousStatus = null;
    /**
     * The SMB anonymous COM error (if there is one)
     */
    public $smbAnonymouscomError = null;
    /**
     * The SMB authenticated connection status
     */
    public ?DiscoveryProtocolStatusEnumEnum $smbStatus = null;
    /**
     * The SMB authenticated connection COM error (if there is one)
     */
    public $smbcomError = null;
    /**
     * The status for the SNMPv1 protocol
     */
    public ?DiscoveryProtocolStatusEnumEnum $snmpV1Status = null;
    /**
     * The status for the SNMPv2c protocol
     */
    public ?DiscoveryProtocolStatusEnumEnum $snmpV2cStatus = null;
    /**
     * The status for the SNMPv3 protocol
     */
    public ?DiscoveryProtocolStatusEnumEnum $snmpV3Status = null;
    /**
     * The SSH cipher algorithm in use
     */
    public ?string $sshCipherInUse = null;
    /**
     * The SSH server identifier
     */
    public ?string $sshIdentifier = null;
    /**
     * The SSH key-exchange algorithm in use
     */
    public ?string $sshKeyExchangeInUse = null;
    /**
     * The SSH MAC algorithm in use
     */
    public ?string $sshMacInUse = null;
    /**
     * The status for the SSH protocol
     */
    public ?DiscoveryProtocolStatusEnumEnum $sshStatus = null;
    /**
     * The SSH telnet banner status
     */
    public ?DiscoveryProtocolStatusEnumEnum $telnetBannerDetectionStatus = null;
    /**
     * The status for the telnet protocol
     */
    public ?DiscoveryProtocolStatusEnumEnum $telnetStatus = null;
    /**
     * The UPnP status
     */
    public ?DiscoveryProtocolStatusEnumEnum $upnpStatus = null;
    /**
     * The VMWare API protocol status
     */
    public ?DiscoveryProtocolStatusEnumEnum $vmwareStatus = null;
    /**
     * The WBEM connection status
     */
    public ?DiscoveryProtocolStatusEnumEnum $wbemStatus = null;
    /**
     * The WMI COM error
     */
    public $wmiComError = null;
    /**
     * The status for the WMI protocol
     */
    public ?DiscoveryProtocolStatusEnumEnum $wmiStatus = null;
}