<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type DeviceQueueStatus
 * The status for the discovery device queue */
final class DeviceQueueStatusType implements AutoGenerationInterface
{
    /**
     * The average database time
     */
    public $avgDatabaseTime = null;
    /**
     * The average discovery time
     */
    public $avgDiscoveryTime = null;
    /**
     * The status for individual devices being scanned
     * @var null|iterable
     */
    public ?iterable $devices = null;
    /**
     * The device queue's last action
     */
    public ?string $lastAction = null;
    /**
     * The maximal number of concurrent device discoveries
     */
    public int $maxDevices;
    /**
     * The device queue status
     */
    public ?DiscoveryQueueStatusEnum $status = null;
    /**
     * Gets the number of pending devices for manually triggered tasks
     */
    public int $manuallyTriggeredPendingTasks;
    /**
     * Gets the number of processed devices for manually triggered tasks
     */
    public int $manuallyTriggeredProcessedTasks;
    /**
     * Gets the number of blocked devices for scheduled discoveries
     */
    public int $scheduledBlockedTasks;
    /**
     * Gets the number of pending devices for scheduled discoveries
     */
    public int $scheduledPendingTasks;
    /**
     * Gets the number of processed devices for scheduled discoveries
     */
    public int $scheduledProcessedTasks;
}