<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type IP6Network
 * An IP6 network holding the IP address base address, prefix length and network name */
final class IP6NetworkType implements AutoGenerationInterface
{
    /**
     * The list of devices belonging to this network.
     * @var null|iterable
     */
    public ?iterable $devices = null;
    /**
     * The IPv6 network's first IP address.
     */
    public ?string $firstAddress = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The IPv6 network's last IP address.
     */
    public ?string $lastAddress = null;
    /**
     * The IPv6 network's name.
     */
    public ?string $name = null;
    /**
     * A flag that indicates whether the network's name has been configured manually or whether it has been discovered (e.g. via AD).
     */
    public ?bool $nameManuallyConfigured = null;
    /**
     * The IPv6 network's base address.
     */
    public ?string $networkBaseAddress = null;
    /**
     * A network's parent network (if it exists).
     */
    public ?IP6NetworkType $parentNetwork = null;
    /**
     * An IP6 network's configured prefix length.
     */
    public ?int $prefixLength = null;
    /**
     * The list of IP6 transports associated with this network.
     * @var null|iterable
     */
    public ?iterable $transports = null;
}