<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type IscsiPort
 * An ISCSI port (either initiator or target depending on the type field) */
final class IscsiPortType implements AutoGenerationInterface
{
    /**
     * The alias for this port
     */
    public ?string $alias = null;
    /**
     * The owning device
     */
    public ?DeviceType $device = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The connections where the port is the initiator
     * @var null|iterable
     */
    public ?iterable $initiatorConnections = null;
    /**
     * The IQN (iSCSI qualified name)
     */
    public ?string $iqn = null;
    /**
     * The connections where the port is the target
     * @var null|iterable
     */
    public ?iterable $targetConnections = null;
    /**
     * The iscsi port type
     */
    public ?ISCSIPortTypeEnum $type = null;
    /**
     * Gets all connections
     * @var null|iterable
     */
    public ?iterable $connections = null;
}