<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type Monitoring
 * The monitoring API lets you query the application's health and operation parameters */
final class MonitoringType implements AutoGenerationInterface
{
    /**
     * The web server caches information in order to speed up the client operation.
This call returns the list of caches together with the number of entries.

Constantly growing cache sizes are an indication for a memory leak!
     * @var null|iterable
     */
    public ?iterable $cacheStatistics = null;
    /**
     * Gets information about the memory usage in the discovery server
     */
    public ?MemoryStatisticsType $discoveryServerMemoryStatistics = null;
    /**
     * Gets the list of file systems together with their sizes
     * @var null|iterable
     */
    public ?iterable $fileSystems = null;
    /**
     * Gets information about the memory usage in the WEB server
     */
    public ?MemoryStatisticsType $webServerMemoryStatistics = null;
}