<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type PasswordstateServerConnection
 * This object contains information about a passwordstate server connection (either a systemwide connection or to a single list). */
final class PasswordstateServerConnectionType implements AutoGenerationInterface, PasswordManagerServerInterface
{
    /**
     * The api key to authenticate against the passwordstate server.
     */
    public ?string $apiKey = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The server's descriptive name as provided by the user.
     */
    public ?string $name = null;
    /**
     * When the API refers to a password list id, then this passwordListId refers to the internal list id within passwordstate.
     */
    public $passwordListId = null;
    /**
     * The port that the server is listening on.
     */
    public ?int $port = null;
    /**
     * The server's address (IP address or hostname).
     */
    public ?string $serverAddress = null;
    /**
     * The server status
     */
    public ?PasswordManagementStatusType $status = null;
    /**
     * The server's label.
     */
    public ?string $label = null;
}