<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type Process
 * A process running on an operating system. */
final class ProcessType implements AutoGenerationInterface
{
    /**
     * The binary name for this process
     */
    public ?string $binaryName = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The list of TCP/IP ports that are in listen mode.
     * @var null|iterable
     */
    public ?iterable $listeningPorts = null;
    /**
     * The parameters that this binary is called with
     */
    public ?string $parameters = null;
    /**
     * The parent process id
     */
    public ?int $parentProcessId = null;
    /**
     * The binary's path
     */
    public ?string $path = null;
    /**
     * The process id
     */
    public ?int $processId = null;
    /**
     * The list of listening ports and TCP/IP connections for this process.
     * @var null|iterable
     */
    public ?iterable $tcpIPConnections = null;
}